// @file line2.vert

attribute vec4 a_position;

uniform mat4 u_worldViewProjectionMatrix;
uniform vec4 u_matrixPalette[SKINNING_JOINT_COUNT * 3];

varying vec4 v_t;

// Need.
#include "skinning-none.vert"

void main() {
	v_t = vec4(u_matrixPalette[0].w,
		u_matrixPalette[1].w,
		u_matrixPalette[2].w,
		1.0);
	gl_Position = u_worldViewProjectionMatrix * a_position;
}
